# $OpenBSD: config.ini,v 1.4 2016/09/02 10:24:29 landry Exp $
#
# fookebox - Pylons configuration
#
# The %(here)s variable will be replaced with the parent directory of this file
#
[DEFAULT]
debug = false
email_to = you@yourdomain.com
smtp_server = localhost
error_email_from = paste@localhost

[server:main]
use = egg:Paste#http
host = 0.0.0.0
port = 5000

[app:main]
use = egg:fookebox
full_stack = true
static_files = true

cache_dir = /var/db/fookebox/

beaker.session.key = fookebox
beaker.session.secret = RBTH0M2E1RGSWx+gefeZgWERX
app_instance_uuid = {31fcd7d4-b29a-4750-aa34-c634a7b994f8}

#site_name = fookebox
#theme = classic

#mpd_host = localhost
#mpd_port = 6600
#mpd_pass = password

# NOTE: See the README for details on this
#max_queue_length = 4

# enable 'consume' mode on MPD. see README for important information on this
#consume = true

# automatically queue a random song when the playlist gets empty
#auto_queue = true

# do auto-queuing before the playlist is empty [seconds] (0 to disable)
#auto_queue_time_left = 1

# if you want the 'random' song to come from a pre-defined (mpd) playlist
# you can set the playlist's name here
#auto_queue_playlist = idle

# pick a random song from the idle playlist (see README)
#auto_queue_random = false

# show the full-text search tab
#show_search_tab = true

# enable mpd controls
#enable_controls = true

# allow users to remove songs from the queue
#enable_song_removal = true

# allow users to queue a full album with one click
#enable_queue_album = true

# be anal about artist/album names (see README)
#find_over_search = false

# show cover art if available?
#show_cover_art = true

# directory that contains your music
#music_base_path = /var/lib/mpd/

# directory with cover art
#album_cover_path = /home/stefan/.cache/rhythmbox/covers/

# what to use as artist name when looking for compilations' cover art?
#compliations_name = Various Artists


# If you'd like to fine-tune the individual locations of the cache data dirs
# for the Cache data, or the Session saves, un-comment the desired settings
# here:
#beaker.cache.data_dir = %(here)s/data/cache
#beaker.session.data_dir = %(here)s/data/sessions

# WARNING: *THE LINE BELOW MUST BE UNCOMMENTED ON A PRODUCTION ENVIRONMENT*
# Debug mode will enable the interactive debugging tool, allowing ANYONE to
# execute malicious code after an exception is raised.
set debug = false


# Logging configuration
[loggers]
keys = root

[handlers]
keys = console

[formatters]
keys = generic

[logger_root]
level = INFO
handlers = console

[handler_console]
class = StreamHandler
args = (sys.stderr,)
level = NOTSET
formatter = generic

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s] [%(threadName)s] %(message)s
